%define git git20110802

Summary:	A simple PolicyKit authentication agent
Name:		lxpolkit
Version:	0.1.0
Release:	3
Url:		http://www.lxde.org/
Source0:	%{name}-%{version}.tar.gz
Patch0:		lxpolkit-0.1.0-string-format.patch
License:	GPLv3+
Group:		System/Libraries
BuildRequires:	polkit-1-devel
BuildRequires:	gtk+2-devel
BuildRequires:	intltool
Provides:	polkit-agent
Requires:	polkit

%description
A simple PolicyKit authentication agent for LXDE.

%prep
%setup -q
%patch0 -p0 -b .str~

%build
%configure2_5x
%make

%install
%makeinstall_std

# make the polkit agent only start in LXDE
sed -i 's,NotShowIn=GNOME;KDE;,OnlyShowIn=LXDE,g' %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_libdir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/ui/%{name}.ui


%changelog
* Fri Nov 02 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.1.0-3
+ Revision: 821668
- add dependency on polkit
- add 'polkit-agent' to provides
- cleanups

* Tue Aug 02 2011 Александр Казанцев <kazancas@mandriva.org> 0.1.0-0.git20110802.1
+ Revision: 692765
- update to 0.1.0 in mainstream

* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-0.git20100330.2mdv2011.0
+ Revision: 612789
- the mass rebuild of 2010.1 packages

* Wed Mar 31 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.0-0.git20100330.1mdv2010.1
+ Revision: 530378
- new git snapshot

* Sun Mar 28 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1.0-0.git20100329.1mdv2010.1
+ Revision: 528626
- import lxpolkit


